Bug 3189 - grid-mapfile-delete-entry fails to delete single LN
: grid-mapfile-delete-entry fails to delete single LN
Status: RESOLVED FIXED
: GSI C
Credentials and Proxies
: 3.9.5
: All Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-04-18 10:05 by
Modified: 2008-08-11 14:56 (History)


Attachments
Patch for the problem (1.77 KB, patch)
2005-04-21 11:31, Sam Meder
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-18 10:05:15
The grid-mapfile entry is as mentioned below.
"/O=Grid/OU=GlobusTest/OU=simpleCA-myhost.com/CN=gridusr1"
gridusr1,gricusr2,gridusr3

When i execute the command.
./sbin/grid-mapfile-delete-entry -dn
/O=Grid/OU=GlobusTest/OU=simpleCA-myhost.com/CN=gridusr1 -ln gridusr3
The output is 
Modifying /opt/gtk3.9.5/etc/grid-security/grid-mapfile ...
Current entry: "/O=Grid/OU=GlobusTest/OU=simpleCA-myhost.com/CN=gridusr1"
gridusr1,gridusr2
(1) mapping removed: (gridusr3), (0) not present and ignored
(0) entries deleted

cat /opt/gtk3.9.5/etc/grid-security/grid-mapfile is as below.

"/O=Grid/OU=GlobusTest/OU=simpleCA-myhost.com/CN=gridusr1" gridusr1,gridusr2

When the below command is executed
/O=Grid/OU=GlobusTest/OU=simpleCA-myhost.com/CN=gridusr1 -ln gridusr1
O/p is 
Modifying /opt/gtk3.9.5/etc/grid-security/grid-mapfile ...
No local mappings remained, deleting entry:
"/O=Grid/OU=GlobusTest/OU=simpleCA-myhost.com/CN=gridusr1" gridusr1,gridusr2
(1) mapping removed: (gridusr1), (0) not present and ignored
(1) entry deleted

Now even though there is an entry gridusr2 it deletes the entry, which is not
the expected behaviour.
------- Comment #1 From 2005-04-21 11:31:11 -------
Created an attachment (id=584) [details]
Patch for the problem
------- Comment #2 From 2005-05-03 08:39:41 -------
Fix committed to cvs.